@font-face {
  font-family: latolight;
  src: url(fonts/Lato-Light.ttf);
}
@font-face {
  font-family: lato;
  src: url(fonts/Lato-Regular.ttf);
}
@font-face {
  font-family: crimsontext;
  src: url(fonts/CrimsonText-Regular.ttf);
}
@font-face {
  font-family: crimsontextitalic;
  src: url(fonts/CrimsonText-Italic.ttf);
}

html, body {
    margin:0;
    padding:0;
    scroll-behavior: smooth;
}
*::selection {
    background: rgba(0,0,0,0);
    color: #ffd000;
  }
body {
    background-color:#242b33;
    color:#f1ecec;
    background-image: url(assets/back.jpg);
    background-position:center;
    background-attachment: fixed;
    background-repeat:repeat;
    font-family: lato;
    font-optical-sizing: auto;
    font-style: normal;
    padding-bottom:10vh;
}
#sidemenu {
  position:fixed;
  left:0;
  width:300px;
  height:100vh;
  font-family: crimsontext;
  font-size:1.20rem;
  padding-left:20px;
  display: flex;
  justify-content: center;
  align-content: center;
  flex-direction: column;
  display:none;
}
#sidemenu a, #sidemenu a:visited, #sidemenu a:active {
  display:block;
  color:#f1ecec;
  padding-left:0px;
  transition: padding-left .7s, color .7s;
}
#sidemenu a:hover {
  padding-left:15px;
  color:#ffd000;
}
#topmenu {
  display:none;
  position:fixed;
  top:10px;
  right:20px;
  width:25px;
  height:25px;
  cursor:pointer;
  opacity:.6;
}
#topmenu  img {
  width:100%;
  height:100%;
}
#header {
    padding-top:5vh;
    width:80vw;
    max-width:600px;
    margin-left:auto;
    margin-right:auto;
    text-align: center;
}
img {
    width:70%;
    user-select: none;
    margin-left:15%;
    margin-right:15%;
    margin-bottom:3rem;
}
.chapter img {
  margin-top:15%;
}
#header .title {
    font-size:3rem;
    letter-spacing: .2rem;
    margin-top:0rem;
    margin-bottom:0rem;
    color:#e22f35;
    text-transform: uppercase;
}
#header .author {
    font-size:1.8rem;
    letter-spacing: .1rem;
    margin-top:1.3rem;
    margin-bottom:0rem;
    text-transform: uppercase;
}
#header .dedication {
    font-family: crimsontextitalic;
    font-size:1.1rem;
    font-style: italic;
    margin-top:3rem;
    margin-bottom:0rem;
}
#maintext {
    width:90vw;
    max-width:600px;
    margin-left:auto;
    margin-right:auto;
    font-size:1rem;
}
#maintext p {
    font-family: crimsontext;
    text-align: justify;
    font-size:1.25rem;
}
#maintext .chapter {
    font-family: lato;
    text-align:center;
    font-size:1.7rem;
    text-transform: uppercase;
    color:#e22f35;
    margin-top:1.5rem;
    margin-bottom:-1.5rem;
}
#one {
  margin-top:0 !important;
  padding-top:5rem;
}
#maintext .thesis {  
    padding-top:1.5rem;
    text-align:center;
}
#maintext .acknowledgments {
    text-align:center;
    font-size:1.2rem;
    text-decoration: underline;
    padding-top:8rem;
}
.button {
  font-family: latolight;
  font-style: normal;
  align-items: center;
  background-color: rgba(0,0,0,0);
  border: 1px solid #e7e7e7;
  box-sizing: border-box;
  color: #e7e7e7;
  cursor: pointer;
  display: inline-flex;
  fill: #e7e7e7;
  font-size: 1rem;
  height: 40px;
  margin-top:2rem;
  justify-content: center;
  letter-spacing: -.8px;
  line-height: 24px;
  min-width: 140px;
  outline: 0;
  padding: 0 17px;
  text-align: center;
  text-decoration: none;
  transition: all .5s;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
}
a, a:visited, a:active {
    color: #fff;
    text-decoration: none;
}
.button:focus {
  color: #e7e7e7;
}

.button:hover {
  border-color: #ffd000;
  color: #ffd000;
  fill: #ffd000;
}

.button:active {
  border-color: #e7e7e7;
  color: #e7e7e7;
  fill: #e7e7e7;
}
#mobilemenu {
  width:100vw;
  height:100vh;
  position:fixed;
  top:0;
  left:101vw;
  background:rgba(0,0,0,.9);
  backdrop-filter: blur(2px);
  display:flex;
  align-items: center;
  justify-content: center;
  flex-direction:column;
  font-size:3.5vw;
  text-transform:uppercase;
  display:none;
}
#mobilemenu a, #mobilemenu a:visited, #mobilemenu a:active {
  color:#fff;
  margin-bottom:1vh;
  display: inline-block;
  position: relative;
}
.menuclose:after {    
  background: none repeat scroll 0 0 transparent;
  bottom: 0;
  content: "";
  display: block;
  height: 2px;
  left: 50%;
  position: absolute;
  background: #fff;
  transition: width 0.3s ease 0s, left 0.3s ease 0s;
  width: 0;
}
.menuclose:hover:after { 
  width: 100%; 
  left: 0;
}
.tocmobile {
  color:#fff;
  padding-bottom:2rem;
}
.menuclosebutton {
  margin-top:2rem;
  cursor: pointer;
  border:2px white solid;
  border-radius:4px;
  padding: 4px 10px;
}
@media (max-width: 1300px) {
  #sidemenu {
    width:0;
    height:0;
    overflow:hidden;
    opacity:0;
    user-select:none;
    pointer-events: none;
  }
  #topmenu {
    display:block;
  }
  #mobilemenu {
    left:0vw;
  }
}
